#! /usr/bin/env python
# -*- coding: utf-8 -*-
#
# vi:ts=4:et
# $Date: 2003/08/10 02:08:44 $
# $Revision: 1.1 $
# =====================================================
"""Test script for partition.py"""

import young

def _test():
    # test

    n = young.partition(3)
    n.plot()

    p = young.partition(4)
    print p
    for a in p:
        a.plot()

    p = young.partition(10)
    print "size of partition(10):", p.size()
    print "size of partition(20):", young.partition(20).size()

    p = young.partition(6)
    print "take 7"
    p.take(7)
    print "drop 8"
    p.drop(8)
    print "last 5"
    p.last(5)
    return


if __name__ == '__main__':
    _test()

